package com.fs.course.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 保存看课评论入参
 */
@Data
@ApiModel(value = "保存看课评论入参")
public class FsCourseWatchCommentSaveParam{

    @ApiModelProperty(value = "用户id，不传")
    private Long userId;

    @ApiModelProperty(value = "用户类型，1-管理员，2-用户")
    private Integer userType;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "视频id")
    private Long videoId;

    @ApiModelProperty(value = "评论类型 1：评论，2：回复，目前没有回复功能，默认传1就行了")
    private Integer type;

    @ApiModelProperty(value = "评论内容")
    private String content;

}
